Index: /code/branches/cegui0.8_ogre1.9/data/gui/layouts/AudioMenu.layout
===================================================================
--- /code/branches/cegui0.8_ogre1.9/data/gui/layouts/AudioMenu.layout	(revision 11799)
+++ /code/branches/cegui0.8_ogre1.9/data/gui/layouts/AudioMenu.layout	(revision 11800)
@@ -33,5 +33,5 @@
                     <Event function="AudioMenu.AudioMasterScrollbar_started" name="ThumbTrackStarted" />
                     <Event function="AudioMenu.AudioMasterScrollbar_ended" name="ThumbTrackEnded" />
-                    <Event function="AudioMenu.AudioMasterScrollbar_changed" name="ScrollPosChanged" />
+                    <Event function="AudioMenu.AudioMasterScrollbar_changed" name="ScrollPositionChanged" />
                 </Window>
                 <Window name="MasterCheckbox" type="MenuWidgets/Checkbox">
@@ -39,5 +39,5 @@
                     <Property name="MaxSize" value="{{1,0},{1,0}}" />
                     <Property name="Area" value="{{0.775,0},{0.45,0},{0.96,0},{0.9,0}}" />
-                    <Event function="AudioMenu.AudioMuteMasterCheckbox_clicked" name="CheckStateChanged" />
+                    <Event function="AudioMenu.AudioMuteMasterCheckbox_clicked" name="SelectStateChanged" />
                 </Window>
             </Window>
@@ -60,5 +60,5 @@
                     <Event function="AudioMenu.AudioMusicScrollbar_started" name="ThumbTrackStarted" />
                     <Event function="AudioMenu.AudioMusicScrollbar_ended" name="ThumbTrackEnded" />
-                    <Event function="AudioMenu.AudioMusicScrollbar_changed" name="ScrollPosChanged" />
+                    <Event function="AudioMenu.AudioMusicScrollbar_changed" name="ScrollPositionChanged" />
                 </Window>
                 <Window name="MusicCheckbox" type="MenuWidgets/Checkbox">
@@ -66,5 +66,5 @@
                     <Property name="MaxSize" value="{{1,0},{1,0}}" />
                     <Property name="Area" value="{{0.775,0},{0.45,0},{0.96,0},{0.9,0}}" />
-                    <Event function="AudioMenu.AudioMuteMusicCheckbox_clicked" name="CheckStateChanged" />
+                    <Event function="AudioMenu.AudioMuteMusicCheckbox_clicked" name="SelectStateChanged" />
                 </Window>
             </Window>
@@ -87,5 +87,5 @@
                     <Event function="AudioMenu.AudioEffectsScrollbar_started" name="ThumbTrackStarted" />
                     <Event function="AudioMenu.AudioEffectsScrollbar_ended" name="ThumbTrackEnded" />
-                    <Event function="AudioMenu.AudioEffectsScrollbar_changed" name="ScrollPosChanged" />
+                    <Event function="AudioMenu.AudioEffectsScrollbar_changed" name="ScrollPositionChanged" />
                 </Window>
                 <Window name="EffectsCheckbox" type="MenuWidgets/Checkbox">
@@ -93,5 +93,5 @@
                     <Property name="MaxSize" value="{{1,0},{1,0}}" />
                     <Property name="Area" value="{{0.775,0},{0.45,0},{0.96,0},{0.9,0}}" />
-                    <Event function="AudioMenu.AudioMuteEffectsCheckbox_clicked" name="CheckStateChanged" />
+                    <Event function="AudioMenu.AudioMuteEffectsCheckbox_clicked" name="SelectStateChanged" />
                 </Window>
             </Window>
@@ -106,5 +106,5 @@
                     <Property name="MaxSize" value="{{1,0},{1,0}}" />
                     <Property name="Area" value="{{0.05,0},{0.225,0},{0.95,0},{0.92,0}}" />
-                    <Event function="AudioMenu.AudioThemeListbox_changed" name="ItemSelectionChanged" />
+                    <Event function="AudioMenu.AudioThemeListbox_changed" name="SelectionChanged" />
                 </Window>
             </Window>
Index: /code/branches/cegui0.8_ogre1.9/data/gui/layouts/GraphicsMenu.layout
===================================================================
--- /code/branches/cegui0.8_ogre1.9/data/gui/layouts/GraphicsMenu.layout	(revision 11799)
+++ /code/branches/cegui0.8_ogre1.9/data/gui/layouts/GraphicsMenu.layout	(revision 11800)
@@ -34,5 +34,5 @@
                             <Property name="MaxSize" value="{{1,0},{1,0}}" />
                             <Property name="Area" value="{{0.05,0},{0.15,0},{0.95,0},{0.27,0}}" />
-                            <Event function="GraphicsMenu.callback_FullscreenCheckbox_CheckStateChanged" name="CheckStateChanged" />
+                            <Event function="GraphicsMenu.callback_FullscreenCheckbox_SelectStateChanged" name="SelectStateChanged" />
                         </Window>
                         <Window name="Combobox" type="MenuWidgets/Combobox">
@@ -40,5 +40,4 @@
                             <Property name="ClippedByParent" value="False" />
                             <Property name="Area" value="{{0.05,0},{0.3,0},{0.95,0},{1.2,0}}" />
-                            <Property name="MaxEditTextLength" value="1073741823" />
                             <Event function="GraphicsMenu.callback_ResolutionCombobox_ListSelectionAccepted" name="ListSelectionAccepted" />
                         </Window>
@@ -93,5 +92,4 @@
                             <Property name="ClippedByParent" value="False" />
                             <Property name="Area" value="{{0.05,0},{0.5,0},{0.95,0},{1.6,0}}" />
-                            <Property name="MaxEditTextLength" value="1073741823" />
                             <Event function="GraphicsMenu.callback_ThemeCombobox_ListSelectionAccepted" name="ListSelectionAccepted" />
                         </Window>
@@ -104,5 +102,5 @@
                             <Property name="MaxSize" value="{{1,0},{1,0}}" />
                             <Property name="Area" value="{{0.05,0},{0.1,0},{0.95,0},{0.45,0}}" />
-                            <Event function="GraphicsMenu.callback_VSyncCheckbox_CheckStateChanged" name="CheckStateChanged" />
+                            <Event function="GraphicsMenu.callback_VSyncCheckbox_SelectStateChanged" name="SelectStateChanged" />
                         </Window>
                         <Window name="FSAALabel" type="MenuWidgets/StaticText">
@@ -117,5 +115,4 @@
                             <Property name="ClippedByParent" value="False" />
                             <Property name="Area" value="{{0.3,0},{0.55,0},{0.95,0},{2.1,0}}" />
-                            <Property name="MaxEditTextLength" value="1073741823" />
                             <Event function="GraphicsMenu.callback_FSAACombobox_ListSelectionAccepted" name="ListSelectionAccepted" />
                         </Window>
@@ -178,5 +175,4 @@
                         <Property name="ClippedByParent" value="False" />
                         <Property name="Area" value="{{0.5,0},{0.29,0},{0.7,0},{0.725,0}}" />
-                        <Property name="MaxEditTextLength" value="1073741823" />
                     </Window>
                     <Window name="MeshLodCheckbox" type="MenuWidgets/Checkbox">
Index: /code/branches/cegui0.8_ogre1.9/data/gui/layouts/KeyBindMenu.layout
===================================================================
--- /code/branches/cegui0.8_ogre1.9/data/gui/layouts/KeyBindMenu.layout	(revision 11799)
+++ /code/branches/cegui0.8_ogre1.9/data/gui/layouts/KeyBindMenu.layout	(revision 11800)
@@ -1,5 +1,5 @@
 <?xml version='1.0' encoding='utf-8'?>
 <GUILayout version="4">
-    <Window name="Background" type="DefaultWindow">
+    <Window name="KeyBindBackground" type="DefaultWindow">
         <Property name="InheritsAlpha" value="False" />
         <Property name="MaxSize" value="{{1,0},{1,0}}" />
Index: /code/branches/cegui0.8_ogre1.9/data/gui/layouts/MiscConfigMenu.layout
===================================================================
--- /code/branches/cegui0.8_ogre1.9/data/gui/layouts/MiscConfigMenu.layout	(revision 11799)
+++ /code/branches/cegui0.8_ogre1.9/data/gui/layouts/MiscConfigMenu.layout	(revision 11800)
@@ -1,5 +1,5 @@
 <?xml version='1.0' encoding='utf-8'?>
 <GUILayout version="4">
-    <Window name="Background" type="MenuWidgets/StaticImage">
+    <Window name="MiscConfigBackground" type="MenuWidgets/StaticImage">
         <Property name="FrameEnabled" value="False" />
         <Property name="InheritsAlpha" value="False" />
Index: /code/branches/cegui0.8_ogre1.9/data/gui/layouts/MouseControlsMenu.layout
===================================================================
--- /code/branches/cegui0.8_ogre1.9/data/gui/layouts/MouseControlsMenu.layout	(revision 11799)
+++ /code/branches/cegui0.8_ogre1.9/data/gui/layouts/MouseControlsMenu.layout	(revision 11800)
@@ -33,5 +33,5 @@
                     <Event function="MouseControlsMenu.MouseControlsMouseNormalScrollbar_started" name="ThumbTrackStarted" />
                     <Event function="MouseControlsMenu.MouseControlsMouseNormalScrollbar_ended" name="ThumbTrackEnded" />
-                    <Event function="MouseControlsMenu.MouseControlsMouseNormalScrollbar_changed" name="ScrollPosChanged" />
+                    <Event function="MouseControlsMenu.MouseControlsMouseNormalScrollbar_changed" name="ScrollPositionChanged" />
                 </Window>
                 <Window name="MouseNormalButton" type="MenuWidgets/RadioButton">
@@ -60,5 +60,5 @@
                     <Event function="MouseControlsMenu.MouseControlsMouseDeriveScrollbar_started" name="ThumbTrackStarted" />
                     <Event function="MouseControlsMenu.MouseControlsMouseDeriveScrollbar_ended" name="ThumbTrackEnded" />
-                    <Event function="MouseControlsMenu.MouseControlsMouseDeriveScrollbar_changed" name="ScrollPosChanged" />
+                    <Event function="MouseControlsMenu.MouseControlsMouseDeriveScrollbar_changed" name="ScrollPositionChanged" />
                 </Window>
                 <Window name="MouseDeriveButton" type="MenuWidgets/RadioButton">
@@ -74,5 +74,5 @@
                 <Property name="MaxSize" value="{{1,0},{1,0}}" />
                 <Property name="Area" value="{{0.39,0},{0.85,0},{0.61,0},{0.95,0}}" />
-                <Event function="MouseControlsMenu.MouseInvertCheckbox_clicked" name="CheckStateChanged" />
+                <Event function="MouseControlsMenu.MouseInvertCheckbox_clicked" name="SelectStateChanged" />
             </Window>
         </Window>
Index: /code/branches/cegui0.8_ogre1.9/data/gui/layouts/SettingsMenu.layout
===================================================================
--- /code/branches/cegui0.8_ogre1.9/data/gui/layouts/SettingsMenu.layout	(revision 11799)
+++ /code/branches/cegui0.8_ogre1.9/data/gui/layouts/SettingsMenu.layout	(revision 11800)
@@ -1,5 +1,5 @@
 <?xml version='1.0' encoding='utf-8'?>
 <GUILayout version="4">
-    <Window name="Background" type="MenuWidgets/StaticImage">
+    <Window name="SettingsBackground" type="MenuWidgets/StaticImage">
         <Property name="InheritsAlpha" value="False" />
         <Property name="FrameEnabled" value="False" />
Index: /code/branches/cegui0.8_ogre1.9/data/gui/scripts/AudioMenu.lua
===================================================================
--- /code/branches/cegui0.8_ogre1.9/data/gui/scripts/AudioMenu.lua	(revision 11799)
+++ /code/branches/cegui0.8_ogre1.9/data/gui/scripts/AudioMenu.lua	(revision 11800)
@@ -15,10 +15,10 @@
     musicmute = soundMgr:getMute(orxonox.SoundType.Music)
     effectsmute = soundMgr:getMute(orxonox.SoundType.Effects)
-    masterscrollbarwindow = tolua.cast(winMgr:getWindow("orxonox/MasterScrollbar"),"CEGUI::Scrollbar")
-    musicscrollbarwindow = tolua.cast(winMgr:getWindow("orxonox/MusicScrollbar"),"CEGUI::Scrollbar")
-    effectsscrollbarwindow = tolua.cast(winMgr:getWindow("orxonox/EffectsScrollbar"),"CEGUI::Scrollbar")
-    mastermutewindow = tolua.cast(winMgr:getWindow("orxonox/MasterCheckbox"),"CEGUI::Checkbox")
-    musicmutewindow = tolua.cast(winMgr:getWindow("orxonox/MusicCheckbox"),"CEGUI::Checkbox")
-    effectsmutewindow = tolua.cast(winMgr:getWindow("orxonox/EffectsCheckbox"),"CEGUI::Checkbox")
+    masterscrollbarwindow = tolua.cast(P.window:getChild("AudioWindow/MasterVolume/MasterScrollbar"),"CEGUI::Scrollbar")
+    musicscrollbarwindow = tolua.cast(P.window:getChild("AudioWindow/MusicVolume/MusicScrollbar"),"CEGUI::Scrollbar")
+    effectsscrollbarwindow = tolua.cast(P.window:getChild("AudioWindow/EffectsVolume/EffectsScrollbar"),"CEGUI::Scrollbar")
+    mastermutewindow = tolua.cast(P.window:getChild("AudioWindow/MasterVolume/MasterCheckbox"),"CEGUI::ToggleButton")
+    musicmutewindow = tolua.cast(P.window:getChild("AudioWindow/MusicVolume/MusicCheckbox"),"CEGUI::ToggleButton")
+    effectsmutewindow = tolua.cast(P.window:getChild("AudioWindow/EffectsVolume/EffectsCheckbox"),"CEGUI::ToggleButton")
     masterscrollbarwindow:setScrollPosition(mastervolume)
     musicscrollbarwindow:setScrollPosition(musicvolume)
@@ -28,5 +28,5 @@
     effectsmutewindow:setSelected(effectsmute)
     choice = "Default"
-    listboxwindow = winMgr:getWindow("orxonox/AudioThemeListbox")
+    listboxwindow = P.window:getChild("AudioWindow/AudioTheme/AudioThemeListbox")
     local themeList = {}
     table.insert(themeList, "Default")
@@ -53,5 +53,5 @@
 
     P:setButton(1, 1, {
-            ["button"] = winMgr:getWindow("orxonox/AudioBackButton"),
+            ["button"] = P.window:getChild("AudioBackButton"),
             ["callback"]  = P.AudioBackButton_clicked
     })
Index: /code/branches/cegui0.8_ogre1.9/data/gui/scripts/ControlsMenu.lua
===================================================================
--- /code/branches/cegui0.8_ogre1.9/data/gui/scripts/ControlsMenu.lua	(revision 11799)
+++ /code/branches/cegui0.8_ogre1.9/data/gui/scripts/ControlsMenu.lua	(revision 11800)
@@ -9,15 +9,15 @@
     --buttons are arranged in a 3x1 matrix:
     P:setButton(1, 1, {
-            ["button"] = winMgr:getWindow("orxonox/MouseControlsButton"),
+            ["button"] = P.window:getChild("ControlsWindow/MouseControlsButton"),
             ["callback"]  = P.ControlsMouseControlsButton_clicked
     })
 
     P:setButton(2, 1, {
-            ["button"] = winMgr:getWindow("orxonox/KeybindingsButton"),
+            ["button"] = P.window:getChild("ControlsWindow/KeybindingsButton"),
             ["callback"]  = P.ControlsKeyboardControlsButton_clicked
     })
 
     P:setButton(3, 1, {
-            ["button"] = winMgr:getWindow("orxonox/ControlsBackButton"),
+            ["button"] = P.window:getChild("ControlsBackButton"),
             ["callback"]  = P.ControlsBackButton_clicked
     })
Index: /code/branches/cegui0.8_ogre1.9/data/gui/scripts/DecisionPopup.lua
===================================================================
--- /code/branches/cegui0.8_ogre1.9/data/gui/scripts/DecisionPopup.lua	(revision 11799)
+++ /code/branches/cegui0.8_ogre1.9/data/gui/scripts/DecisionPopup.lua	(revision 11800)
@@ -7,10 +7,10 @@
     --button are arranged in a 1x2 matrix
     P:setButton(1, 1, {
-            ["button"] = winMgr:getWindow("orxonox/DecisionPopup_button_yes"),
+            ["button"] = P.window:getChild("DecisionPopup_Background/DecisionPopup_button_yes"),
             ["callback"]  = P.button_yes
     })
 
     P:setButton(1, 2, {
-            ["button"] = winMgr:getWindow("orxonox/DecisionPopup_button_no"),
+            ["button"] = P.window:getChild("DecisionPopup_Background/DecisionPopup_button_no"),
             ["callback"]  = P.button_no
     })
@@ -26,5 +26,5 @@
 
 function P.setText( text )
-    winMgr:getWindow("orxonox/DecisionPopup_text"):setText( text )
+    P.window:getChild("DecisionPopup_Background/DecisionPopup_text"):setText( text )
 end
 
Index: /code/branches/cegui0.8_ogre1.9/data/gui/scripts/GraphicsMenu.lua
===================================================================
--- /code/branches/cegui0.8_ogre1.9/data/gui/scripts/GraphicsMenu.lua	(revision 11799)
+++ /code/branches/cegui0.8_ogre1.9/data/gui/scripts/GraphicsMenu.lua	(revision 11800)
@@ -14,10 +14,10 @@
 
     P:setButton(1, 1, {
-            ["button"] = winMgr:getWindow("orxonox/GraphicsOkButton"),
+            ["button"] = P.window:getChild("GraphicsOkButton"),
             ["callback"]  = P.callback_Ok_Clicked
     })
 
     P:setButton(1, 2, {
-            ["button"] = winMgr:getWindow("orxonox/GraphicsCancelButton"),
+            ["button"] = P.window:getChild("GraphicsCancelButton"),
             ["callback"]  = P.callback_Cancel_Clicked
     })
@@ -25,5 +25,5 @@
     -- place apply button at the bottom in the matrix, even though it's in fact at the top, to make the OK button highlighted by default
     P:setButton(2, 1, {
-            ["button"] = winMgr:getWindow("orxonox/Display/Resolution/Apply"),
+            ["button"] = P.window:getChild("GraphicsWindow/GraphicsTabControl/Display/Resolution/Apply"),
             ["callback"]  = P.callback_Apply_Clicked
     })
@@ -34,5 +34,5 @@
 
     -- resolution combobox
-    local resolutionCombobox = CEGUI.toCombobox(winMgr:getWindow("orxonox/Display/Resolution/Combobox"))
+    local resolutionCombobox = CEGUI.toCombobox(P.window:getChild("GraphicsWindow/GraphicsTabControl/Display/Resolution/Combobox"))
     resolutionCombobox:setReadOnly(true)
 
@@ -44,5 +44,5 @@
 
     -- themes combobox
-    local themeCombobox = CEGUI.toCombobox(winMgr:getWindow("orxonox/Display/Theme/Combobox"))
+    local themeCombobox = CEGUI.toCombobox(P.window:getChild("GraphicsWindow/GraphicsTabControl/Display/Theme/Combobox"))
     themeCombobox:setReadOnly(true)
 
@@ -54,5 +54,5 @@
 
     -- fsaa combobox
-    local fsaaCombobox = CEGUI.toCombobox(winMgr:getWindow("orxonox/Display/More/FSAA"))
+    local fsaaCombobox = CEGUI.toCombobox(P.window:getChild("GraphicsWindow/GraphicsTabControl/Display/More/FSAA"))
     fsaaCombobox:setReadOnly(true)
 
@@ -64,5 +64,5 @@
 
     -- particle lod combobox
-    local particleLodCombobox = CEGUI.toCombobox(winMgr:getWindow("orxonox/Settings/ParticleLodCombobox"))
+    local particleLodCombobox = CEGUI.toCombobox(P.window:getChild("GraphicsWindow/GraphicsTabControl/Settings/ParticleLodCombobox"))
     particleLodCombobox:setReadOnly(true)
 
@@ -86,10 +86,10 @@
 
     -- aspect ratio editbox
-    local aspectRatioEditbox = winMgr:getWindow("orxonox/Display/Resolution/AspectRatio")
+    local aspectRatioEditbox = P.window:getChild("GraphicsWindow/GraphicsTabControl/Display/Resolution/AspectRatio")
     local currentAspectRatio = orxonox.CommandExecutor:query("getConfig Camera aspectRatio_")
     aspectRatioEditbox:setText(currentAspectRatio)
 
     -- themes combobox
-    local themeCombobox =  CEGUI.toCombobox(winMgr:getWindow("orxonox/Display/Theme/Combobox"))
+    local themeCombobox =  CEGUI.toCombobox(P.window:getChild("GraphicsWindow/GraphicsTabControl/Display/Theme/Combobox"))
     local currentTheme = orxonox.CommandExecutor:query("getConfig GUIManager guiScheme_")
 
@@ -100,10 +100,10 @@
 
     -- vsync checkbox
-    local vsyncCheckbox = winMgr:getWindow("orxonox/Display/More/VSync")
+    local vsyncCheckbox = P.window:getChild("GraphicsWindow/GraphicsTabControl/Display/More/VSync")
     local hasVSync = orxonox.GraphicsManager:getInstance():hasVSyncEnabled()
     CEGUI.toCheckbox(vsyncCheckbox):setSelected(hasVSync)
 
     -- fsaa combobox
-    local fsaaCombobox = CEGUI.toCombobox(winMgr:getWindow("orxonox/Display/More/FSAA"))
+    local fsaaCombobox = CEGUI.toCombobox(P.window:getChild("GraphicsWindow/GraphicsTabControl/Display/More/FSAA"))
     local currentFSAAMode = orxonox.GraphicsManager:getInstance():getFSAAMode()
 
@@ -121,15 +121,15 @@
 
     -- fov editbox
-    local fovEditbox = winMgr:getWindow("orxonox/Settings/Fov")
+    local fovEditbox = P.window:getChild("GraphicsWindow/GraphicsTabControl/Settings/Fov")
     local currentFov = orxonox.CommandExecutor:query("getConfig Camera fov_")
     fovEditbox:setText(currentFov)
 
     -- fps limit editbox
-    local fpsEditbox = winMgr:getWindow("orxonox/Settings/FpsLimit")
+    local fpsEditbox = P.window:getChild("GraphicsWindow/GraphicsTabControl/Settings/FpsLimit")
     local currentFpsLimit = orxonox.CommandExecutor:query("getConfig GraphicsSettings fpsLimit")
     fpsEditbox:setText(currentFpsLimit)
 
     -- particle lod combobox
-    local particleLodCombobox = CEGUI.toCombobox(winMgr:getWindow("orxonox/Settings/ParticleLodCombobox"))
+    local particleLodCombobox = CEGUI.toCombobox(P.window:getChild("GraphicsWindow/GraphicsTabControl/Settings/ParticleLodCombobox"))
     local currentParticleLod = orxonox.CommandExecutor:query("getConfig GraphicsSettings particlesDetailLevel")
 
@@ -146,5 +146,5 @@
 
     -- mesh lod checkbox
-    local meshLodCheckbox = winMgr:getWindow("orxonox/Settings/MeshLodCheckbox")
+    local meshLodCheckbox = P.window:getChild("GraphicsWindow/GraphicsTabControl/Settings/MeshLodCheckbox")
     local hasMeshLod = orxonox.CommandExecutor:query("getConfig GraphicsSettings enableMeshLoD")
     if hasMeshLod == "true" then
@@ -156,5 +156,5 @@
 
     -- motion blur checkbox
-    local motionBlurCheckbox = winMgr:getWindow("orxonox/Settings/MotionBlurCheckbox")
+    local motionBlurCheckbox = P.window:getChild("GraphicsWindow/GraphicsTabControl/Settings/MotionBlurCheckbox")
     local hasMotionBlur = orxonox.CommandExecutor:query("getConfig GraphicsSettings enableMotionBlur")
     if hasMotionBlur == "true" then
@@ -168,10 +168,10 @@
 function P:onWindowResized()
     -- fullscreen checkbox
-    local fullscreenCheckbox = winMgr:getWindow("orxonox/Display/Resolution/Fullscreen")
+    local fullscreenCheckbox = P.window:getChild("GraphicsWindow/GraphicsTabControl/Display/Resolution/Fullscreen")
     local isFullscreen = orxonox.GraphicsManager:getInstance():isFullScreen()
     CEGUI.toCheckbox(fullscreenCheckbox):setSelected(isFullscreen)
 
     -- resolution combobox
-    local resolutionCombobox = CEGUI.toCombobox(winMgr:getWindow("orxonox/Display/Resolution/Combobox"))
+    local resolutionCombobox = CEGUI.toCombobox(P.window:getChild("GraphicsWindow/GraphicsTabControl/Display/Resolution/Combobox"))
 
     local currentWidth = orxonox.GraphicsManager:getInstance():getWindowWidth()
@@ -202,5 +202,5 @@
 function P.updateResolutionEditboxes()
     -- resolution combobox
-    local resolutionCombobox = CEGUI.toCombobox(winMgr:getWindow("orxonox/Display/Resolution/Combobox"))
+    local resolutionCombobox = CEGUI.toCombobox(P.window:getChild("GraphicsWindow/GraphicsTabControl/Display/Resolution/Combobox"))
 
     local currentWidth = orxonox.GraphicsManager:getInstance():getWindowWidth()
@@ -208,6 +208,6 @@
 
     -- resolution editboxes
-    local widthEditbox = winMgr:getWindow("orxonox/Display/Resolution/EditboxWidth")
-    local heightEditbox = winMgr:getWindow("orxonox/Display/Resolution/EditboxHeight")
+    local widthEditbox = P.window:getChild("GraphicsWindow/GraphicsTabControl/Display/Resolution/EditboxWidth")
+    local heightEditbox = P.window:getChild("GraphicsWindow/GraphicsTabControl/Display/Resolution/EditboxHeight")
     widthEditbox:disable()
     heightEditbox:disable()
@@ -233,11 +233,11 @@
 function P.updateApplyButton()
     -- fullscreen checkbox
-    local fullscreenCheckbox = winMgr:getWindow("orxonox/Display/Resolution/Fullscreen")
+    local fullscreenCheckbox = P.window:getChild("GraphicsWindow/GraphicsTabControl/Display/Resolution/Fullscreen")
     local isFullscreen = orxonox.GraphicsManager:getInstance():isFullScreen()
     local fullscreenChanged = (isFullscreen ~= CEGUI.toCheckbox(fullscreenCheckbox):isSelected())
 
     -- resolution editboxes
-    local widthEditbox = winMgr:getWindow("orxonox/Display/Resolution/EditboxWidth")
-    local heightEditbox = winMgr:getWindow("orxonox/Display/Resolution/EditboxHeight")
+    local widthEditbox = P.window:getChild("GraphicsWindow/GraphicsTabControl/Display/Resolution/EditboxWidth")
+    local heightEditbox = P.window:getChild("GraphicsWindow/GraphicsTabControl/Display/Resolution/EditboxHeight")
     local currentWidth = tostring(orxonox.GraphicsManager:getInstance():getWindowWidth())
     local currentHeight = tostring(orxonox.GraphicsManager:getInstance():getWindowHeight())
@@ -247,5 +247,5 @@
 
     -- apply button
-    local applyButton = winMgr:getWindow("orxonox/Display/Resolution/Apply")
+    local applyButton = P.window:getChild("GraphicsWindow/GraphicsTabControl/Display/Resolution/Apply")
 
     if fullscreenChanged or widthChanged or heightChanged or resolutionEditboxesEnabled then
@@ -258,15 +258,15 @@
 function P.updateRedLabel()
     -- theme
-    local themeCombobox = winMgr:getWindow("orxonox/Display/Theme/Combobox")
+    local themeCombobox = P.window:getChild("GraphicsWindow/GraphicsTabControl/Display/Theme/Combobox")
     local currentTheme = orxonox.CommandExecutor:query("getConfig GUIManager guiScheme_")
     local themeChanged = (currentTheme ~= themeCombobox:getText())
 
     -- vsync
-    local vsyncCheckbox = winMgr:getWindow("orxonox/Display/More/VSync")
+    local vsyncCheckbox = P.window:getChild("GraphicsWindow/GraphicsTabControl/Display/More/VSync")
     local hasVSync = orxonox.GraphicsManager:getInstance():hasVSyncEnabled()
     local vsyncChanged = (hasVSync ~= CEGUI.toCheckbox(vsyncCheckbox):isSelected())
 
     -- fsaa
-    local fsaaCombobox = winMgr:getWindow("orxonox/Display/More/FSAA")
+    local fsaaCombobox = P.window:getChild("GraphicsWindow/GraphicsTabControl/Display/More/FSAA")
     local currentFSAAMode = orxonox.GraphicsManager:getInstance():getFSAAMode()
     local fsaaChanged = (currentFSAAMode ~= fsaaCombobox:getText())
@@ -274,7 +274,7 @@
     local needRestart = themeChanged or vsyncChanged or fsaaChanged
 
-    local notice = winMgr:getWindow("orxonox/Display/Notice")
+    local notice = P.window:getChild("GraphicsWindow/GraphicsTabControl/Display/Notice")
     notice:setVisible(not needRestart)
-    local noticeRed = winMgr:getWindow("orxonox/Display/NoticeRed")
+    local noticeRed = P.window:getChild("GraphicsWindow/GraphicsTabControl/Display/NoticeRed")
     noticeRed:setVisible(needRestart)
 end
@@ -286,5 +286,5 @@
 -- resolution
 
-function P.callback_FullscreenCheckbox_CheckStateChanged(e)
+function P.callback_FullscreenCheckbox_SelectStateChanged(e)
     P.updateApplyButton()
 end
@@ -310,5 +310,5 @@
 -- vsync
 
-function P.callback_VSyncCheckbox_CheckStateChanged(e)
+function P.callback_VSyncCheckbox_SelectStateChanged(e)
     P.updateRedLabel()
 end
@@ -324,9 +324,9 @@
 function P.callback_Apply_Clicked(e)
     -- resolution
-    local fullscreenCheckbox = winMgr:getWindow("orxonox/Display/Resolution/Fullscreen")
+    local fullscreenCheckbox = P.window:getChild("GraphicsWindow/GraphicsTabControl/Display/Resolution/Fullscreen")
     local checkedFullscreen = tostring(CEGUI.toCheckbox(fullscreenCheckbox):isSelected())
 
-    local widthEditbox = winMgr:getWindow("orxonox/Display/Resolution/EditboxWidth")
-    local heightEditbox = winMgr:getWindow("orxonox/Display/Resolution/EditboxHeight")
+    local widthEditbox = P.window:getChild("GraphicsWindow/GraphicsTabControl/Display/Resolution/EditboxWidth")
+    local heightEditbox = P.window:getChild("GraphicsWindow/GraphicsTabControl/Display/Resolution/EditboxHeight")
 
     P.newWidth = widthEditbox:getText()
@@ -339,5 +339,5 @@
     P.oldFullscreen = orxonox.GraphicsManager:getInstance():isFullScreen()
 
-    P.revertTimerHandle = orxonox.CommandExecutor:query("delayreal 10 {hideGUI DecisionPopup; GraphicsManager setScreenResolution " .. P.oldWidth .. " " .. P.oldHeight .. " " .. tostring(P.oldFullscreen) .. "; config Core lastLevelTimestamp_ [expr [getConfig Core ogreConfigTimestamp_] + 1]}")
+    P.revertTimerHandle = orxonox.CommandExecutor:query("delayreal 10 {hideGUI DecisionPopup; GraphicsManager setScreenResolution " .. P.oldWidth .. " " .. P.oldHeight .. " " .. tostring(P.oldFullscreen) .. "; config CoreConfig lastLevelTimestamp_ [expr [getConfig CoreConfig ogreConfigTimestamp_] + 1]}")
 
     -- change settings
@@ -362,18 +362,18 @@
 
     -- update timestamp to avoid showing the ogre config dialog again after the user accepted or reverted the resolution
-    orxonox.CommandExecutor:execute("config Core lastLevelTimestamp_ [expr [getConfig Core ogreConfigTimestamp_] + 1]")
+    orxonox.CommandExecutor:execute("config CoreConfig lastLevelTimestamp_ [expr [getConfig CoreConfig ogreConfigTimestamp_] + 1]")
 end
 
 function P.callback_Ok_Clicked(e)
     -- aspect ratio
-    local aspectRatioEditbox = winMgr:getWindow("orxonox/Display/Resolution/AspectRatio")
+    local aspectRatioEditbox = P.window:getChild("GraphicsWindow/GraphicsTabControl/Display/Resolution/AspectRatio")
     orxonox.CommandExecutor:execute("config Camera aspectRatio_ " .. aspectRatioEditbox:getText())
 
     -- theme
-    local themeCombobox = winMgr:getWindow("orxonox/Display/Theme/Combobox")
+    local themeCombobox = P.window:getChild("GraphicsWindow/GraphicsTabControl/Display/Theme/Combobox")
     orxonox.CommandExecutor:execute("config GUIManager guiScheme_ " .. themeCombobox:getText())
 
     -- vsync
-    local vsyncCheckbox = winMgr:getWindow("orxonox/Display/More/VSync")
+    local vsyncCheckbox = P.window:getChild("GraphicsWindow/GraphicsTabControl/Display/More/VSync")
     local hasVSync = orxonox.GraphicsManager:getInstance():hasVSyncEnabled()
     if hasVSync ~= CEGUI.toCheckbox(vsyncCheckbox):isSelected() then
@@ -382,5 +382,5 @@
 
     -- fsaa
-    local fsaaCombobox = winMgr:getWindow("orxonox/Display/More/FSAA")
+    local fsaaCombobox = P.window:getChild("GraphicsWindow/GraphicsTabControl/Display/More/FSAA")
     local currentFSAAMode = orxonox.GraphicsManager:getInstance():getFSAAMode()
     if currentFSAAMode ~= fsaaCombobox:getText() then
@@ -389,13 +389,13 @@
 
     -- fov
-    local fovEditbox = winMgr:getWindow("orxonox/Settings/Fov")
+    local fovEditbox = P.window:getChild("GraphicsWindow/GraphicsTabControl/Settings/Fov")
     orxonox.CommandExecutor:execute("config Camera fov_ " .. fovEditbox:getText())
 
     -- fps limit
-    local fpsEditbox = winMgr:getWindow("orxonox/Settings/FpsLimit")
+    local fpsEditbox = P.window:getChild("GraphicsWindow/GraphicsTabControl/Settings/FpsLimit")
     orxonox.CommandExecutor:execute("config GraphicsSettings fpsLimit " .. fpsEditbox:getText())
 
     -- particle lod
-    local particleLodCombobox = CEGUI.toCombobox(winMgr:getWindow("orxonox/Settings/ParticleLodCombobox"))
+    local particleLodCombobox = CEGUI.toCombobox(P.window:getChild("GraphicsWindow/GraphicsTabControl/Settings/ParticleLodCombobox"))
     local item = particleLodCombobox:getSelectedItem()
     if item then
@@ -404,9 +404,9 @@
 
     -- mesh lod
-    local meshLodCheckbox = winMgr:getWindow("orxonox/Settings/MeshLodCheckbox")
+    local meshLodCheckbox = P.window:getChild("GraphicsWindow/GraphicsTabControl/Settings/MeshLodCheckbox")
     orxonox.CommandExecutor:execute("config GraphicsSettings enableMeshLoD " .. tostring(CEGUI.toCheckbox(meshLodCheckbox):isSelected()))
 
     -- motion blur
-    local motionBlurCheckbox = winMgr:getWindow("orxonox/Settings/MotionBlurCheckbox")
+    local motionBlurCheckbox = P.window:getChild("GraphicsWindow/GraphicsTabControl/Settings/MotionBlurCheckbox")
     orxonox.CommandExecutor:execute("config GraphicsSettings enableMotionBlur " .. tostring(CEGUI.toCheckbox(motionBlurCheckbox):isSelected()))
 
Index: /code/branches/cegui0.8_ogre1.9/data/gui/scripts/InfoPopup.lua
===================================================================
--- /code/branches/cegui0.8_ogre1.9/data/gui/scripts/InfoPopup.lua	(revision 11799)
+++ /code/branches/cegui0.8_ogre1.9/data/gui/scripts/InfoPopup.lua	(revision 11800)
@@ -14,9 +14,9 @@
 
 function P.setText(text)
-    winMgr:getWindow("orxonox/InfoPopup_text"):setText( text )
+    P.window:getChild("InfoPopup_Background/InfoPopup_text"):setText( text )
 end
 
 function P.setCloseButton(closeButton)
-    close = winMgr:getWindow("orxonox/InfoPopup_close")
+    close = P.window:getChild("InfoPopup_Background/InfoPopup_close")
     close:setVisible(closeButton)
     if(not closeButton) then
Index: /code/branches/cegui0.8_ogre1.9/data/gui/scripts/KeyBindMenu.lua
===================================================================
--- /code/branches/cegui0.8_ogre1.9/data/gui/scripts/KeyBindMenu.lua	(revision 11799)
+++ /code/branches/cegui0.8_ogre1.9/data/gui/scripts/KeyBindMenu.lua	(revision 11800)
@@ -79,5 +79,5 @@
 
     --Calculate design parameters:
-    sampleWindow = winMgr:createWindow("MenuWidgets/StaticText", "orxonox/KeyBindPane/SampleWindow")
+    sampleWindow = winMgr:createWindow("MenuWidgets/StaticText", "KeyBindPane/SampleWindow")
     sampleWindow:setText("SampleText")
 
@@ -112,5 +112,5 @@
 
     P:setButton(1, 1, {
-            ["button"] = winMgr:getWindow("orxonox/KeyBindBackButton"),
+            ["button"] = P.window:getChild("KeyBindBackButton"),
             ["callback"]  = P.KeyBindBackButton_clicked
     })
@@ -137,26 +137,26 @@
 function P.createLine(k)
     local offset = 0
-    local line = winMgr:createWindow("DefaultWindow", "orxonox/KeyBindPane/Binding" .. k)
+    local line = winMgr:createWindow("DefaultWindow", "Binding" .. k)
     line:setHeight(CEGUI.UDim(0, lineHeight))
     line:setPosition(CEGUI.UVector2(CEGUI.UDim(0, 0), CEGUI.UDim(0, lineHeight*(k-1))))
 
-    local command = winMgr:createWindow("MenuWidgets/StaticText", "orxonox/KeyBindPane/Binding" .. k .. "/Command")
+    local command = winMgr:createWindow("MenuWidgets/StaticText", "Command")
     command:setText(nameList[k])
-    command:setSize(CEGUI.UVector2(CEGUI.UDim(0, commandWidth), CEGUI.UDim(1, 0)))
+    command:setSize(CEGUI.USize(CEGUI.UDim(0, commandWidth), CEGUI.UDim(1, 0)))
     command:setPosition(CEGUI.UVector2(CEGUI.UDim(0, offset), CEGUI.UDim(0, 0)))
-    line:addChildWindow(command)
+    line:addChild(command)
     offset = offset + commandWidth + spaceWidth
 
-    local plus = winMgr:createWindow("MenuWidgets/TabButton", "orxonox/KeyBindPane/Binding" .. k .. "/Plus")
-    plus:setSize(CEGUI.UVector2(CEGUI.UDim(0, addWidth), CEGUI.UDim(0.7, 0)))
+    local plus = winMgr:createWindow("MenuWidgets/TabButton", "Plus")
+    plus:setSize(CEGUI.USize(CEGUI.UDim(0, addWidth), CEGUI.UDim(0.7, 0)))
     plus:setPosition(CEGUI.UVector2(CEGUI.UDim(0, offset), CEGUI.UDim(0.15, 0)))
     plus:setText("add")
     orxonox.GUIManager:subscribeEventHelper(plus, "Clicked", P.name .. ".KeyBindPlus_clicked")
-    line:addChildWindow(plus)
+    line:addChild(plus)
     offset = offset + addWidth + spaceWidth
 
     local numButtons = orxonox.KeyBinderManager:getInstance():getCurrent():getNumberOfBindings(commandList[k]);
     for i=0,(numButtons-1) do
-        local button = winMgr:createWindow("MenuWidgets/TabButton", "orxonox/KeyBindPane/Binding" .. k .. "/Button" .. i)
+        local button = winMgr:createWindow("MenuWidgets/TabButton", "Button" .. i)
         local name = orxonox.KeyBinderManager:getInstance():getCurrent():getBinding(commandList[k],i)
         name = P.KeyNameNiceifier(name)
@@ -165,17 +165,17 @@
         local size = getMinTextSize(sampleWindow)
         local buttonWidth = size[2]
-        button:setSize(CEGUI.UVector2(CEGUI.UDim(0, buttonWidth), CEGUI.UDim(0.7, 0)))
+        button:setSize(CEGUI.USize(CEGUI.UDim(0, buttonWidth), CEGUI.UDim(0.7, 0)))
         button:setPosition(CEGUI.UVector2(CEGUI.UDim(0, offset), CEGUI.UDim(0.15, 0)))
         orxonox.GUIManager:subscribeEventHelper(button, "Clicked", P.name .. ".KeyBindButton_clicked")
         --button:subscribeScriptedEvent("EventClicked", P.name .. ".KeyBindButton_clicked")
-        line:addChildWindow(button)
+        line:addChild(button)
         offset = offset + buttonWidth
 
-        local clear = winMgr:createWindow("MenuWidgets/TabButton", "orxonox/KeyBindPane/Binding" .. k .. "/Clear" .. i)
-        clear:setSize(CEGUI.UVector2(CEGUI.UDim(0, clearWidth), CEGUI.UDim(0.7, 0)))
+        local clear = winMgr:createWindow("MenuWidgets/TabButton", "Clear" .. i)
+        clear:setSize(CEGUI.USize(CEGUI.UDim(0, clearWidth), CEGUI.UDim(0.7, 0)))
         clear:setPosition(CEGUI.UVector2(CEGUI.UDim(0, offset), CEGUI.UDim(0.15, 0)))
         clear:setText("X")
         orxonox.GUIManager:subscribeEventHelper(clear, "Clicked", P.name .. ".KeyBindClear_clicked")
-        line:addChildWindow(clear)
+        line:addChild(clear)
         offset = offset + clearWidth + spaceWidth
     end
@@ -187,10 +187,10 @@
 
 function P.createLines()
-    local window = winMgr:getWindow("orxonox/KeyBindPane")
+    local window = P.window:getChild("KeyBindWindow/KeyBindWrapper/KeyBindPane")
 
     for k,v in pairs(commandList) do
         local line = P.createLine(k)
         table.insert(linesList, line)
-        window:addChildWindow(line)
+        window:addChild(line)
     end
 
@@ -201,5 +201,5 @@
 function P.KeyBindButton_clicked(e)
     local we = CEGUI.toWindowEventArgs(e)
-    local name = we.window:getName()
+    local name = we.window:getNamePath()
 
     local match = string.gmatch(name, "%d+")
@@ -215,5 +215,5 @@
 function P.KeyBindPlus_clicked(e)
     local we = CEGUI.toWindowEventArgs(e)
-    local name = we.window:getName()
+    local name = we.window:getNamePath()
 
     local match = string.gmatch(name, "%d+")
@@ -227,5 +227,5 @@
 function P.KeyBindClear_clicked(e)
     local we = CEGUI.toWindowEventArgs(e)
-    local name = we.window:getName()
+    local name = we.window:getNamePath()
 
     local match = string.gmatch(name, "%d+")
@@ -251,9 +251,9 @@
 
 function P.callback()
-    local pane = tolua.cast(winMgr:getWindow("orxonox/KeyBindPane"), "CEGUI::ScrollablePane")
+    local pane = tolua.cast(P.window:getChild("KeyBindWindow/KeyBindWrapper/KeyBindPane"), "CEGUI::ScrollablePane")
     local position = pane:getVerticalScrollPosition()
     while table.getn(linesList) ~= 0 do
         if linesList[1] ~= nil then
-            winMgr:destroyWindow(linesList[1]:getName())
+            winMgr:destroyWindow(pane:getChild(linesList[1]:getName()))
         end
         table.remove(linesList, 1)
Index: /code/branches/cegui0.8_ogre1.9/data/gui/scripts/MiscConfigMenu.lua
===================================================================
--- /code/branches/cegui0.8_ogre1.9/data/gui/scripts/MiscConfigMenu.lua	(revision 11799)
+++ /code/branches/cegui0.8_ogre1.9/data/gui/scripts/MiscConfigMenu.lua	(revision 11800)
@@ -18,5 +18,4 @@
 
     P.commandList = {}
-    table.insert(P.commandList, "Highscore playerName_")
     table.insert(P.commandList, "KeyBinder mouseSensitivity_")
     table.insert(P.commandList, "KeyBinder mouseSensitivityDerived_")
@@ -24,6 +23,6 @@
     table.insert(P.commandList, "KeyBinder mouseWheelStepSize_")
     table.insert(P.commandList, "Shell maxHistoryLength_")
-    table.insert(P.commandList, "Core bStartIOConsole_")
-    table.insert(P.commandList, "Game fpsLimit_")
+    table.insert(P.commandList, "CoreConfig bStartIOConsole_")
+    table.insert(P.commandList, "GraphicsSettings fpsLimit")
     table.insert(P.commandList, "Spectator speed_")
     table.insert(P.commandList, "SpaceShip bInvertYAxis_")
@@ -34,15 +33,14 @@
     table.insert(P.commandList, "Gametype numberOfBots_")
     table.insert(P.commandList, "UnderAttack gameTime_")
-    table.insert(P.commandList, "TeamDeathmatch teams_")
+    table.insert(P.commandList, "TeamGametype teams_")
     table.insert(P.commandList, "TeamDeathmatch maxScore_")
     table.insert(P.commandList, "HumanPlayer nick_")
     table.insert(P.commandList, "ChatOverlay displayTime_")
-    table.insert(P.commandList, "Core bDevMode_")
+    table.insert(P.commandList, "CoreConfig bDevMode_")
     table.insert(P.commandList, "HUDNavigation MarkerLimit_")
-    table.insert(P.commandList, "HUDNavigation showDistance")
+    table.insert(P.commandList, "HUDNavigation showDistance_")
     table.insert(P.commandList, "HUDRadar RadarMode_")
 
     P.nameList = {}
-    table.insert(P.nameList, "Playername")
     table.insert(P.nameList, "Mouse sensitivity")
     table.insert(P.nameList, "Mouse acceleration")
@@ -60,5 +58,5 @@
     table.insert(P.nameList, "Number of Bots")
     table.insert(P.nameList, "UnderAttack: game time")
-    table.insert(P.nameList, "TeamDeathmatch: Number of teams")
+    table.insert(P.nameList, "TeamGametype: Number of teams")
     table.insert(P.nameList, "TeamDeathmatch: Score needed to end the game")
     table.insert(P.nameList, "Playername")
@@ -72,5 +70,5 @@
 
     --Calculate design parameters:
-    P.sampleWindow = winMgr:createWindow("MenuWidgets/StaticText", "orxonox/MiscConfigMenu/MiscConfigPane/SampleWindow")
+    P.sampleWindow = winMgr:createWindow("MenuWidgets/StaticText", "MiscConfigMenu/MiscConfigPane/SampleWindow")
     P.sampleWindow:setText("SampleText")
 
@@ -93,5 +91,5 @@
     P.spaceWidth = 10
     
-    local pane = tolua.cast(winMgr:getWindow("orxonox/MiscConfigMenu/MiscConfigPane"), "CEGUI::ScrollablePane")
+    local pane = tolua.cast(P.window:getChild("ConfigWindow/Wrapper/MiscConfigPane"), "CEGUI::ScrollablePane")
     size = pane:getViewableArea()
     P.editboxWidth = size:getWidth() - P.commandWidth - P.resetWidth - 5*P.spaceWidth
@@ -100,10 +98,10 @@
 
     P:setButton(1, 1, {
-            ["button"] = winMgr:getWindow("orxonox/MiscConfigMenu/CancelButton"),
+            ["button"] = P.window:getChild("CancelButton"),
             ["callback"]  = P.MiscConfigCancelButton_clicked
     })
     
     P:setButton(1, 2, {
-            ["button"] = winMgr:getWindow("orxonox/MiscConfigMenu/OKButton"),
+            ["button"] = P.window:getChild("OKButton"),
             ["callback"]  = P.MiscConfigOKButton_clicked
     })
@@ -113,35 +111,35 @@
     local offset = 0
     -- content window for the entire line
-    local line = winMgr:createWindow("DefaultWindow", "orxonox/MiscConfigMenu/MiscConfigPane/ConfigCommand" .. k)
+    local line = winMgr:createWindow("DefaultWindow", "ConfigCommand" .. k)
     line:setHeight(CEGUI.UDim(0, P.lineHeight))
     line:setPosition(CEGUI.UVector2(CEGUI.UDim(0, 0), CEGUI.UDim(0, P.lineHeight*(k-1))))
 
     -- config name
-    local command = winMgr:createWindow("MenuWidgets/StaticText", "orxonox/MiscConfigMenu/MiscConfigPane/ConfigCommand" .. k .. "/Command")
+    local command = winMgr:createWindow("MenuWidgets/StaticText", "Command")
     command:setText(P.nameList[k])
-    command:setSize(CEGUI.UVector2(CEGUI.UDim(0, P.commandWidth), CEGUI.UDim(1, 0)))
+    command:setSize(CEGUI.USize(CEGUI.UDim(0, P.commandWidth), CEGUI.UDim(1, 0)))
     command:setPosition(CEGUI.UVector2(CEGUI.UDim(0, offset), CEGUI.UDim(0, 0)))
-    line:addChildWindow(command)
+    line:addChild(command)
     offset = offset + P.commandWidth + P.spaceWidth
 
     -- config value (editable)
-    local configvalue = winMgr:createWindow("MenuWidgets/Editbox", "orxonox/MiscConfigMenu/MiscConfigPane/ConfigCommand" .. k .. "/Configvalue")
+    local configvalue = winMgr:createWindow("MenuWidgets/Editbox", "Configvalue")
     configvalue:setProperty("ReadOnly", "set:False")
     local value = orxonox.CommandExecutor:query("getConfig " .. P.commandList[k])
     configvalue:setText(value)
-    configvalue:setSize(CEGUI.UVector2(CEGUI.UDim(0, P.editboxWidth), CEGUI.UDim(0.9, 0)))
+    configvalue:setSize(CEGUI.USize(CEGUI.UDim(0, P.editboxWidth), CEGUI.UDim(0.9, 0)))
     configvalue:setPosition(CEGUI.UVector2(CEGUI.UDim(0, offset), CEGUI.UDim(0.05, 0)))
     -- enable the reset button if the value changed
     orxonox.GUIManager:subscribeEventHelper(configvalue, "TextAccepted", P.name .. ".MiscConfigEditbox_textAccepted")
-    line:addChildWindow(configvalue)
+    line:addChild(configvalue)
     offset = offset + P.editboxWidth + P.spaceWidth
 
     -- reset button (only available when value changed)
-    local reset = winMgr:createWindow("MenuWidgets/Button", "orxonox/MiscConfigMenu/MiscConfigPane/ConfigCommand" .. k .. "/Reset")
-    reset:setSize(CEGUI.UVector2(CEGUI.UDim(0, P.resetWidth), CEGUI.UDim(0.9, 0)))
+    local reset = winMgr:createWindow("MenuWidgets/Button", "Reset")
+    reset:setSize(CEGUI.USize(CEGUI.UDim(0, P.resetWidth), CEGUI.UDim(0.9, 0)))
     reset:setPosition(CEGUI.UVector2(CEGUI.UDim(0, offset), CEGUI.UDim(0.05, 0)))
     reset:setText("reset")
     orxonox.GUIManager:subscribeEventHelper(reset, "Clicked", P.name .. ".MiscConfigResetButton_clicked")
-    line:addChildWindow(reset)
+    line:addChild(reset)
     reset:setEnabled(false)
     offset = offset + P.resetWidth + P.spaceWidth
@@ -153,10 +151,10 @@
 
 function P.createLines()
-    local window = winMgr:getWindow("orxonox/MiscConfigMenu/MiscConfigPane")
+    local window = P.window:getChild("ConfigWindow/Wrapper/MiscConfigPane")
 
     for k,v in pairs(P.commandList) do
         local line = P.createLine(k)
         table.insert(P.linesList, line)
-        window:addChildWindow(line)
+        window:addChild(line)
     end
 
@@ -168,7 +166,7 @@
     for k,v in pairs(P.commandList) do
         -- save the changes
-        local editbox = winMgr:getWindow("orxonox/MiscConfigMenu/MiscConfigPane/ConfigCommand" .. k .. "/Configvalue")
+        local editbox = P.window:getChild("ConfigWindow/Wrapper/MiscConfigPane/ConfigCommand" .. k .. "/Configvalue")
         orxonox.CommandExecutor:execute("config " .. P.commandList[k] .. " " .. editbox:getText())
-        local resetButton = winMgr:getWindow("orxonox/MiscConfigMenu/MiscConfigPane/ConfigCommand" .. k .. "/Reset")
+        local resetButton = P.window:getChild("ConfigWindow/Wrapper/MiscConfigPane/ConfigCommand" .. k .. "/Reset")
         resetButton:setEnabled(false)
     end
@@ -183,10 +181,10 @@
 function P.MiscConfigEditbox_textAccepted(e)
     local we = CEGUI.toWindowEventArgs(e)
-    local name = we.window:getName()
+    local name = we.window:getNamePath()
 
     local match = string.gmatch(name, "%d+")
     local commandNr = tonumber(match())
 
-    local resetButton = winMgr:getWindow("orxonox/MiscConfigMenu/MiscConfigPane/ConfigCommand" .. commandNr .. "/Reset")
+    local resetButton = P.window:getChild("ConfigWindow/Wrapper/MiscConfigPane/ConfigCommand" .. commandNr .. "/Reset")
     resetButton:setEnabled(true)
 end
@@ -194,5 +192,5 @@
 function P.MiscConfigResetButton_clicked(e)
     local we = CEGUI.toWindowEventArgs(e)
-    local name = we.window:getName()
+    local name = we.window:getNamePath()
 
     local match = string.gmatch(name, "%d+")
@@ -200,5 +198,5 @@
 
     -- reload the old value
-    local editbox = winMgr:getWindow("orxonox/MiscConfigMenu/MiscConfigPane/ConfigCommand" .. commandNr .. "/Configvalue")
+    local editbox = P.window:getChild("ConfigWindow/Wrapper/MiscConfigPane/ConfigCommand" .. commandNr .. "/Configvalue")
     local value = orxonox.CommandExecutor:query("getConfig " .. P.commandList[commandNr])
     editbox:setText(value)
Index: /code/branches/cegui0.8_ogre1.9/data/gui/scripts/MouseControlsMenu.lua
===================================================================
--- /code/branches/cegui0.8_ogre1.9/data/gui/scripts/MouseControlsMenu.lua	(revision 11799)
+++ /code/branches/cegui0.8_ogre1.9/data/gui/scripts/MouseControlsMenu.lua	(revision 11800)
@@ -5,9 +5,9 @@
 function P.onLoad()
     block = false
-    mousenormalscrollbarwindow = tolua.cast(winMgr:getWindow("orxonox/MouseNormalScrollbar"),"CEGUI::Scrollbar")
-    mousederivescrollbarwindow = tolua.cast(winMgr:getWindow("orxonox/MouseDeriveScrollbar"),"CEGUI::Scrollbar")
-    normalwindow = tolua.cast(winMgr:getWindow("orxonox/MouseNormalButton"),"CEGUI::RadioButton")
-    derivewindow = tolua.cast(winMgr:getWindow("orxonox/MouseDeriveButton"),"CEGUI::RadioButton")
-    invertwindow = tolua.cast(winMgr:getWindow("orxonox/MouseInvertCheckbox"),"CEGUI::Checkbox")
+    mousenormalscrollbarwindow = tolua.cast(P.window:getChild("MouseControlsWindow/MouseNormalSensitivity/MouseNormalScrollbar"),"CEGUI::Scrollbar")
+    mousederivescrollbarwindow = tolua.cast(P.window:getChild("MouseControlsWindow/MouseDeriveSensitivity/MouseDeriveScrollbar"),"CEGUI::Scrollbar")
+    normalwindow = tolua.cast(P.window:getChild("MouseControlsWindow/MouseNormalSensitivity/MouseNormalButton"),"CEGUI::RadioButton")
+    derivewindow = tolua.cast(P.window:getChild("MouseControlsWindow/MouseDeriveSensitivity/MouseDeriveButton"),"CEGUI::RadioButton")
+    invertwindow = tolua.cast(P.window:getChild("MouseControlsWindow/MouseInvertCheckbox"),"CEGUI::ToggleButton")
     mousenormalscrollbar_active = false
     mousederivescrollbar_active = false
@@ -34,5 +34,5 @@
 
     P:setButton(1, 1, {
-            ["button"] = winMgr:getWindow("orxonox/MouseControlsBackButton"),
+            ["button"] = P.window:getChild("MouseControlsBackButton"),
             ["callback"]  = P.MouseControlsBackButton_clicked
     })
Index: /code/branches/cegui0.8_ogre1.9/data/gui/scripts/SettingsMenu.lua
===================================================================
--- /code/branches/cegui0.8_ogre1.9/data/gui/scripts/SettingsMenu.lua	(revision 11799)
+++ /code/branches/cegui0.8_ogre1.9/data/gui/scripts/SettingsMenu.lua	(revision 11800)
@@ -8,25 +8,25 @@
     --buttons are arranged in a 4x2 matrix.
     P:setButton(1, 2, {
-            ["button"] = winMgr:getWindow("orxonox/SettingsMenu/GraphicsButton"),
+            ["button"] = P.window:getChild("SettingsWindow/GraphicsButton"),
             ["callback"]  = P.SettingsGraphicsButton_clicked
     })
 
     P:setButton(2, 2, {
-            ["button"] = winMgr:getWindow("orxonox/SettingsMenu/AudioButton"),
+            ["button"] = P.window:getChild("SettingsWindow/AudioButton"),
             ["callback"]  = P.SettingsAudioButton_clicked
     })
 
     P:setButton(3, 1, {
-            ["button"] = winMgr:getWindow("orxonox/SettingsMenu/ControlsButton"),
+            ["button"] = P.window:getChild("SettingsWindow/ControlsButton"),
             ["callback"]  = P.SettingsControlsButton_clicked
     })
 
     P:setButton(3, 2, {
-            ["button"] = winMgr:getWindow("orxonox/SettingsMenu/MiscellaneousButton"),
+            ["button"] = P.window:getChild("SettingsWindow/MiscellaneousButton"),
             ["callback"]  = P.SettingsMiscellaneousButton_clicked
     })
 
     P:setButton(4, 1, {
-            ["button"] = winMgr:getWindow("orxonox/SettingsMenu/SettingsBackButton"),
+            ["button"] = P.window:getChild("SettingsBackButton"),
             ["callback"]  = P.SettingsBackButton_clicked
     })
@@ -36,5 +36,5 @@
 
 function P.onShow()
-    local window = winMgr:getWindow("orxonox/SettingsMenu/AudioButton")
+    local window = P.window:getChild("SettingsWindow/AudioButton")
     if not orxonox.SoundManager:exists() then
         window:setProperty("Disabled", "true")
